com.mockobjects.dynamic

## Interface Callable

All Superinterfaces:
  Verifiable

All Known Subinterfaces:
  CallableAddable

All Known Implementing Classes:
  CallBag, CallOnceExpectation, CallSequence, CallSignature, CallStub, ReturnStub, ThrowStub, VoidStub

    public interface Callable
    extends Verifiable

### Method Summary

Methods
`java.lang.Object` `call(Mock mock, java.lang.String methodName, java.lang.Object[] args)`
`java.lang.String` `getDescription()`
`boolean` `matches(java.lang.String methodName, java.lang.Object[] args)`

### Methods inherited from interface com.mockobjects.Verifiable

`verify`

### Method Detail

#### getDescription

    java.lang.String getDescription()

#### call

    java.lang.Object call(Mock mock,
                        java.lang.String methodName,
                        java.lang.Object[] args)
                          throws java.lang.Throwable

Throws:
  `java.lang.Throwable`

#### matches

    boolean matches(java.lang.String methodName,
                  java.lang.Object[] args)